<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut == true and $ya['level'] > 4) {
switch($do) {
///////////////////////////
//     очистка от постов
//////////////////////////
case 'chp':
if ($ya['level'] > 4) {
$mode = isset($_GET['mode']) ? trim($_GET['mode']) : false;
switch($mode) {
case 'yes':
$db -> query("DELETE FROM `guest`");
$diz -> head('Очистка гостевой');
$diz -> title('Управление гостевой');
$msg .= '<div class="fon">Все посты в гостевой были удалены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Очистка от постов');
$diz -> title('Очистка от постов');
$msg .= '<div class="fon">Вы уверены,что хотите очистить гостевую?';
$msg .= '<br/><a href="./guest.php?do=chp&amp;mode=yes">Да</a> | ';
$msg .= '<a href="./guest.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
}else header('location: ./index.php');
break;
///////////////////////////
//очистка от постов гостей
//////////////////////////
case 'chpg':
if ($ya['level'] > 3) {
$mode = isset($_GET['mode']) ? trim($_GET['mode']) : false;
switch($mode) {
case 'yes':
$db -> query("DELETE FROM `guest` WHERE `uid` = '0'");
$diz -> head('Очистка гостевой');
$diz -> title('Управление гостевой');
$msg .= '<div class="fon">Все посты в гостевой были удалены!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Очистка от постов');
$diz -> title('Очистка от постов');
$msg .= '<div class="fon">Вы уверены,что хотите удалить сообщения гостей?';
$msg .= '<br/><a href="./guest.php?do=chpg&amp;mode=yes">Да</a> | ';
$msg .= '<a href="./guest.php">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
}else header('location: ./index.php');
break;
///////////////////////////
//     главная
//////////////////////////
default:
$diz -> head('Управление гостевой');
$diz -> title('Управление гостевой');
$msg.='<div class="fon">';
if ($ya['level'] > 4) {$msg .= $diz -> img('guest.gif').'<a href="./guest.php?do=chp">Очистить гостевую</a><br/>';}
if ($ya['level'] > 3) {$msg .= $diz -> img('guest.gif').'<a href="./guest.php?do=chpg">Очистить от постов (гостей)</a><br/>';}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else {
header('location: ../index.php');
}
?>